Skip to main content
POST
/
public
/
get-all-quiz-submissions
Get course quiz submissions
curl --request POST \
  --url https://backend.codedamn.com/api/public/get-all-quiz-submissions \
  --header 'Content-Type: application/json' \
  --header 'FERMION-API-KEY: <api-key>' \
  --data '
{
  "data": [
    {
      "data": {
        "courseIdentifier": {
          "type": "course-id",
          "digitalProductCourseId": "<string>"
        }
      }
    }
  ]
}
'
import requests

url = "https://backend.codedamn.com/api/public/get-all-quiz-submissions"

payload = { "data": [{ "data": { "courseIdentifier": {
"type": "course-id",
"digitalProductCourseId": "<string>"
} } }] }
headers = {
"FERMION-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'FERMION-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
data: {courseIdentifier: {type: 'course-id', digitalProductCourseId: '<string>'}}
}
]
})
};

fetch('https://backend.codedamn.com/api/public/get-all-quiz-submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "output": {
      "status": "ok",
      "data": {
        "productId": "<string>",
        "productTitle": "<string>",
        "quizzes": [
          {
            "quizId": "<string>",
            "quizTitle": "<string>",
            "totalQuestions": 123,
            "submissions": [
              {
                "fermionUserId": "<string>",
                "userEmail": "jsmith@example.com",
                "userName": "<string>",
                "submittedAtIso": "2023-11-07T05:31:56Z",
                "totalScore": 123,
                "maxScore": 123,
                "questionBreakdown": [
                  {
                    "questionId": "<string>",
                    "questionText": "<string>",
                    "selectedAnswer": [
                      "<string>"
                    ],
                    "correctAnswer": [
                      "<string>"
                    ],
                    "isCorrect": true,
                    "pointsForQuestion": 123,
                    "pointsEarned": 123
                  }
                ]
              }
            ]
          }
        ]
      }
    }
  }
]

Authorizations

FERMION-API-KEY
string
header
required

Body

application/json

API Request Body

data
object[]
required

Response

200 - application/json

API Response Body

output
object
required